Index: cpukit/itron/src/acp_por.c
===================================================================
--- cpukit/itron/src/acp_por.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/acp_por.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,9 +23,9 @@
 
 ER acp_por(
-  RNO  *p_rdvno,
-  VP    msg,
-  INT  *p_cmsgsz,
-  ID    porid,
-  UINT  acpptn
+  RNO  *p_rdvno __attribute__((unused)),
+  VP    msg __attribute__((unused)),
+  INT  *p_cmsgsz __attribute__((unused)),
+  ID    porid __attribute__((unused)),
+  UINT  acpptn __attribute__((unused))
 )
 {
Index: cpukit/itron/src/act_cyc.c
===================================================================
--- cpukit/itron/src/act_cyc.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/act_cyc.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -26,5 +26,5 @@
 
 ER act_cyc(
-  HNO   cycno,
+  HNO   cycno __attribute__((unused)),
   UINT  cycact
 )
Index: cpukit/itron/src/cal_por.c
===================================================================
--- cpukit/itron/src/cal_por.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/cal_por.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,9 +23,9 @@
 
 ER cal_por(
-  VP    msg,
-  INT  *p_rmsgsz,
-  ID    porid,
-  UINT  calptn,
-  INT   cmsgsz
+  VP    msg __attribute__((unused)),
+  INT  *p_rmsgsz __attribute__((unused)),
+  ID    porid __attribute__((unused)),
+  UINT  calptn __attribute__((unused)),
+  INT   cmsgsz __attribute__((unused))
 )
 {
Index: cpukit/itron/src/can_wup.c
===================================================================
--- cpukit/itron/src/can_wup.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/can_wup.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -29,5 +29,5 @@
 
 ER can_wup(
-  INT *p_wupcnt,
+  INT *p_wupcnt __attribute__((unused)),
   ID   tskid
 )
Index: cpukit/itron/src/chg_iXX.c
===================================================================
--- cpukit/itron/src/chg_iXX.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/chg_iXX.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,5 +23,5 @@
 
 ER chg_iXX(
-  UINT iXXXX
+  UINT iXXXX __attribute__((unused))
 )
 {
Index: cpukit/itron/src/clr_flg.c
===================================================================
--- cpukit/itron/src/clr_flg.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/clr_flg.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER clr_flg(
-  ID   flgid,
-  UINT clrptn
+  ID   flgid __attribute__((unused)),
+  UINT clrptn __attribute__((unused))
 )
 {
Index: cpukit/itron/src/cre_flg.c
===================================================================
--- cpukit/itron/src/cre_flg.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/cre_flg.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER cre_flg(
-  ID      flgid,
-  T_CFLG *pk_cflg
+  ID      flgid __attribute__((unused)),
+  T_CFLG *pk_cflg __attribute__((unused))
 )
 {
Index: cpukit/itron/src/cre_mpf.c
===================================================================
--- cpukit/itron/src/cre_mpf.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/cre_mpf.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER cre_mpf(
-  ID      mpfid,
-  T_CMPF *pk_cmpf
+  ID      mpfid __attribute__((unused)),
+  T_CMPF *pk_cmpf __attribute__((unused))
 )
 {
Index: cpukit/itron/src/cre_mpl.c
===================================================================
--- cpukit/itron/src/cre_mpl.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/cre_mpl.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER cre_mpl(
-  ID      mplid,
-  T_CMPL *pk_cmpl
+  ID      mplid __attribute__((unused)),
+  T_CMPL *pk_cmpl __attribute__((unused))
 )
 {
Index: cpukit/itron/src/cre_por.c
===================================================================
--- cpukit/itron/src/cre_por.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/cre_por.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER cre_por(
-  ID      porid,
-  T_CPOR *pk_cpor
+  ID      porid __attribute__((unused)),
+  T_CPOR *pk_cpor __attribute__((unused))
 )
 {
Index: cpukit/itron/src/def_alm.c
===================================================================
--- cpukit/itron/src/def_alm.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/def_alm.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -26,6 +26,6 @@
 
 ER def_alm(
-  HNO     almno,
-  T_DALM *pk_dalm
+  HNO     almno __attribute__((unused)),
+  T_DALM *pk_dalm __attribute__((unused))
 )
 {
Index: cpukit/itron/src/def_cyc.c
===================================================================
--- cpukit/itron/src/def_cyc.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/def_cyc.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -26,5 +26,5 @@
 
 ER def_cyc(
-  HNO     cycno,
+  HNO     cycno __attribute__((unused)),
   T_DCYC *pk_dcyc
 )
Index: cpukit/itron/src/def_int.c
===================================================================
--- cpukit/itron/src/def_int.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/def_int.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER def_int(
-  UINT    dintno,
-  T_DINT *pk_dint
+  UINT    dintno __attribute__((unused)),
+  T_DINT *pk_dint __attribute__((unused))
 )
 {
Index: cpukit/itron/src/del_flg.c
===================================================================
--- cpukit/itron/src/del_flg.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/del_flg.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,5 +23,5 @@
 
 ER del_flg(
-  ID flgid
+  ID flgid __attribute__((unused))
 )
 {
Index: cpukit/itron/src/del_mpf.c
===================================================================
--- cpukit/itron/src/del_mpf.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/del_mpf.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,5 +23,5 @@
 
 ER del_mpf(
-  ID mpfid
+  ID mpfid __attribute__((unused))
 )
 {
Index: cpukit/itron/src/del_mpl.c
===================================================================
--- cpukit/itron/src/del_mpl.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/del_mpl.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,5 +23,5 @@
 
 ER del_mpl(
-  ID mplid
+  ID mplid __attribute__((unused))
 )
 {
Index: cpukit/itron/src/del_por.c
===================================================================
--- cpukit/itron/src/del_por.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/del_por.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,5 +23,5 @@
 
 ER del_por(
-  ID porid
+  ID porid __attribute__((unused))
 )
 {
Index: cpukit/itron/src/dis_int.c
===================================================================
--- cpukit/itron/src/dis_int.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/dis_int.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,5 +23,5 @@
 
 ER dis_int(
-  UINT eintno
+  UINT eintno __attribute__((unused))
 )
 {
Index: cpukit/itron/src/ena_int.c
===================================================================
--- cpukit/itron/src/ena_int.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/ena_int.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,5 +23,5 @@
 
 ER ena_int(
-  UINT eintno
+  UINT eintno __attribute__((unused))
 )
 {
Index: cpukit/itron/src/fwd_por.c
===================================================================
--- cpukit/itron/src/fwd_por.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/fwd_por.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,9 +23,9 @@
 
 ER fwd_por(
-  ID    porid,
-  UINT  calptn,
-  RNO   rdvno,
-  VP    msg,
-  INT   cmsgsz
+  ID    porid __attribute__((unused)),
+  UINT  calptn __attribute__((unused)),
+  RNO   rdvno __attribute__((unused)),
+  VP    msg __attribute__((unused)),
+  INT   cmsgsz __attribute__((unused))
 )
 {
Index: cpukit/itron/src/get_blf.c
===================================================================
--- cpukit/itron/src/get_blf.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/get_blf.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER get_blf(
-  VP *p_blf,
-  ID  mpfid
+  VP *p_blf __attribute__((unused)),
+  ID  mpfid __attribute__((unused))
 )
 {
Index: cpukit/itron/src/get_blk.c
===================================================================
--- cpukit/itron/src/get_blk.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/get_blk.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,7 +23,7 @@
 
 ER get_blk(
-  VP  *p_blk,
-  ID   mplid,
-  INT  blksz
+  VP  *p_blk __attribute__((unused)),
+  ID   mplid __attribute__((unused)),
+  INT  blksz __attribute__((unused))
 )
 {
Index: cpukit/itron/src/get_tim.c
===================================================================
--- cpukit/itron/src/get_tim.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/get_tim.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -26,5 +26,5 @@
 
 ER get_tim(
-  SYSTIME *pk_tim
+  SYSTIME *pk_tim __attribute__((unused))
 )
 {
Index: cpukit/itron/src/pacp_por.c
===================================================================
--- cpukit/itron/src/pacp_por.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/pacp_por.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,9 +23,9 @@
 
 ER pacp_por(
-  RNO  *p_rdvno,
-  VP    msg,
-  INT  *p_cmsgsz,
-  ID    porid,
-  UINT  acpptn
+  RNO  *p_rdvno __attribute__((unused)),
+  VP    msg __attribute__((unused)),
+  INT  *p_cmsgsz __attribute__((unused)),
+  ID    porid __attribute__((unused)),
+  UINT  acpptn __attribute__((unused))
 )
 {
Index: cpukit/itron/src/pcal_por.c
===================================================================
--- cpukit/itron/src/pcal_por.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/pcal_por.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,9 +23,9 @@
 
 ER pcal_por(
-  VP   msg,
-  INT *p_rmsgsz,
-  ID   porid,
-  UINT calptn,
-  INT  cmsgsz
+  VP   msg __attribute__((unused)),
+  INT *p_rmsgsz __attribute__((unused)),
+  ID   porid __attribute__((unused)),
+  UINT calptn __attribute__((unused)),
+  INT  cmsgsz __attribute__((unused))
 )
 {
Index: cpukit/itron/src/pget_blf.c
===================================================================
--- cpukit/itron/src/pget_blf.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/pget_blf.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER pget_blf(
-  VP *p_blf,
-  ID  mpfid
+  VP *p_blf __attribute__((unused)),
+  ID  mpfid __attribute__((unused))
 )
 {
Index: cpukit/itron/src/pget_blk.c
===================================================================
--- cpukit/itron/src/pget_blk.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/pget_blk.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,7 +23,7 @@
 
 ER pget_blk(
-  VP  *p_blk,
-  ID   mplid,
-  INT  blksz
+  VP  *p_blk __attribute__((unused)),
+  ID   mplid __attribute__((unused)),
+  INT  blksz __attribute__((unused))
 )
 {
Index: cpukit/itron/src/pol_flg.c
===================================================================
--- cpukit/itron/src/pol_flg.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/pol_flg.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,8 +23,8 @@
 
 ER pol_flg(
-  UINT *p_flgptn,
-  ID    flgid,
-  UINT  waiptn,
-  UINT  wfmode
+  UINT *p_flgptn __attribute__((unused)),
+  ID    flgid __attribute__((unused)),
+  UINT  waiptn __attribute__((unused)),
+  UINT  wfmode __attribute__((unused))
 )
 {
Index: cpukit/itron/src/ref_alm.c
===================================================================
--- cpukit/itron/src/ref_alm.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/ref_alm.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -26,6 +26,6 @@
 
 ER ref_alm(
-  T_RALM *pk_ralm,
-  HNO     almno
+  T_RALM *pk_ralm __attribute__((unused)),
+  HNO     almno __attribute__((unused))
 )
 {
Index: cpukit/itron/src/ref_cyc.c
===================================================================
--- cpukit/itron/src/ref_cyc.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/ref_cyc.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -27,5 +27,5 @@
 ER ref_cyc(
   T_RCYC *pk_rcyc,
-  HNO     cycno
+  HNO     cycno __attribute__((unused))
 )
 {
Index: cpukit/itron/src/ref_flg.c
===================================================================
--- cpukit/itron/src/ref_flg.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/ref_flg.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER ref_flg(
-  T_RFLG *pk_rflg,
-  ID      flgid
+  T_RFLG *pk_rflg __attribute__((unused)),
+  ID      flgid __attribute__((unused))
 )
 {
Index: cpukit/itron/src/ref_iXX.c
===================================================================
--- cpukit/itron/src/ref_iXX.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/ref_iXX.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,5 +23,5 @@
 
 ER ref_iXX(
-  UINT *p_iXXXX
+  UINT *p_iXXXX __attribute__((unused))
 )
 {
Index: cpukit/itron/src/ref_mpf.c
===================================================================
--- cpukit/itron/src/ref_mpf.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/ref_mpf.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER ref_mpf(
-  T_RMPF *pk_rmpf,
-  ID      mpfid
+  T_RMPF *pk_rmpf __attribute__((unused)),
+  ID      mpfid __attribute__((unused))
 )
 {
Index: cpukit/itron/src/ref_mpl.c
===================================================================
--- cpukit/itron/src/ref_mpl.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/ref_mpl.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER ref_mpl(
-  T_RMPL *pk_rmpl,
-  ID      mplid
+  T_RMPL *pk_rmpl __attribute__((unused)),
+  ID      mplid __attribute__((unused))
 )
 {
Index: cpukit/itron/src/ref_por.c
===================================================================
--- cpukit/itron/src/ref_por.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/ref_por.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER ref_por(
-  T_RPOR *pk_rpor,
-  ID      porid
+  T_RPOR *pk_rpor __attribute__((unused)),
+  ID      porid __attribute__((unused))
 )
 {
Index: cpukit/itron/src/rel_blf.c
===================================================================
--- cpukit/itron/src/rel_blf.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/rel_blf.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER rel_blf(
-  ID mpfid,
-  VP blf
+  ID mpfid __attribute__((unused)),
+  VP blf __attribute__((unused))
 )
 {
Index: cpukit/itron/src/rel_blk.c
===================================================================
--- cpukit/itron/src/rel_blk.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/rel_blk.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER rel_blk(
-  ID  mplid,
-  VP  blk
+  ID  mplid __attribute__((unused)),
+  VP  blk __attribute__((unused))
 )
 {
Index: cpukit/itron/src/ret_wup.c
===================================================================
--- cpukit/itron/src/ret_wup.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/ret_wup.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,5 +23,5 @@
 
 void ret_wup(
-  ID tskid
+  ID tskid __attribute__((unused))
 )
 {
Index: cpukit/itron/src/rpl_rdv.c
===================================================================
--- cpukit/itron/src/rpl_rdv.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/rpl_rdv.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,7 +23,7 @@
 
 ER rpl_rdv(
-  RNO  rdvno,
-  VP   msg,
-  INT rmsgsz
+  RNO  rdvno __attribute__((unused)),
+  VP   msg __attribute__((unused)),
+  INT rmsgsz __attribute__((unused))
 )
 {
Index: cpukit/itron/src/set_flg.c
===================================================================
--- cpukit/itron/src/set_flg.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/set_flg.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,6 +23,6 @@
 
 ER set_flg(
-  ID   flgid,
-  UINT setptn
+  ID   flgid __attribute__((unused)),
+  UINT setptn __attribute__((unused))
 )
 {
Index: cpukit/itron/src/set_tim.c
===================================================================
--- cpukit/itron/src/set_tim.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/set_tim.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -26,5 +26,5 @@
 
 ER set_tim(
-  SYSTIME *pk_tim
+  SYSTIME *pk_tim __attribute__((unused))
 )
 {
Index: cpukit/itron/src/sta_tsk.c
===================================================================
--- cpukit/itron/src/sta_tsk.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/sta_tsk.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -31,5 +31,5 @@
 ER sta_tsk(
   ID   tskid,
-  INT  stacd
+  INT  stacd __attribute__((unused))
 )
 {
Index: cpukit/itron/src/tacp_por.c
===================================================================
--- cpukit/itron/src/tacp_por.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/tacp_por.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,10 +23,10 @@
 
 ER tacp_por(
-  RNO  *p_rdvno,
-  VP    msg,
-  INT  *p_cmsgsz,
-  ID    porid,
-  UINT  acpptn,
-  TMO   tmout
+  RNO  *p_rdvno __attribute__((unused)),
+  VP    msg __attribute__((unused)),
+  INT  *p_cmsgsz __attribute__((unused)),
+  ID    porid __attribute__((unused)),
+  UINT  acpptn __attribute__((unused)),
+  TMO   tmout __attribute__((unused))
 )
 {
Index: cpukit/itron/src/tcal_por.c
===================================================================
--- cpukit/itron/src/tcal_por.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/tcal_por.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,10 +23,10 @@
 
 ER tcal_por(
-  VP    msg,
-  INT  *p_rmsgsz,
-  ID    porid,
-  UINT  calptn,
-  INT   cmsgsz,
-  TMO   tmout
+  VP    msg __attribute__((unused)),
+  INT  *p_rmsgsz __attribute__((unused)),
+  ID    porid __attribute__((unused)),
+  UINT  calptn __attribute__((unused)),
+  INT   cmsgsz __attribute__((unused)),
+  TMO   tmout __attribute__((unused))
 )
 {
Index: cpukit/itron/src/tget_blf.c
===================================================================
--- cpukit/itron/src/tget_blf.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/tget_blf.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,7 +23,7 @@
 
 ER tget_blf(
-  VP *p_blf,
-  ID  mpfid,
-  TMO tmout
+  VP *p_blf __attribute__((unused)),
+  ID  mpfid __attribute__((unused)),
+  TMO tmout __attribute__((unused))
 )
 {
Index: cpukit/itron/src/tget_blk.c
===================================================================
--- cpukit/itron/src/tget_blk.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/tget_blk.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,8 +23,8 @@
 
 ER tget_blk(
-  VP  *p_blk,
-  ID   mplid,
-  INT  blksz,
-  TMO  tmout
+  VP  *p_blk __attribute__((unused)),
+  ID   mplid __attribute__((unused)),
+  INT  blksz __attribute__((unused)),
+  TMO  tmout __attribute__((unused))
 )
 {
Index: cpukit/itron/src/tslp_tsk.c
===================================================================
--- cpukit/itron/src/tslp_tsk.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/tslp_tsk.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -30,5 +30,5 @@
 
 ER tslp_tsk(
-  TMO tmout
+  TMO tmout __attribute__((unused))
 )
 {
Index: cpukit/itron/src/twai_flg.c
===================================================================
--- cpukit/itron/src/twai_flg.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/twai_flg.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,9 +23,9 @@
 
 ER twai_flg(
-  UINT *p_flgptn,
-  ID    flgid,
-  UINT  waiptn,
-  UINT  wfmode,
-  TMO   tmout
+  UINT *p_flgptn __attribute__((unused)),
+  ID    flgid __attribute__((unused)),
+  UINT  waiptn __attribute__((unused)),
+  UINT  wfmode __attribute__((unused)),
+  TMO   tmout __attribute__((unused))
 )
 {
Index: cpukit/itron/src/wai_flg.c
===================================================================
--- cpukit/itron/src/wai_flg.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/wai_flg.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -23,8 +23,8 @@
 
 ER wai_flg(
-  UINT *p_flgptn,
-  ID    flgid,
-  UINT  waiptn,
-  UINT  wfmode
+  UINT *p_flgptn __attribute__((unused)),
+  ID    flgid __attribute__((unused)),
+  UINT  waiptn __attribute__((unused)),
+  UINT  wfmode __attribute__((unused))
 )
 {
Index: cpukit/itron/src/wup_tsk.c
===================================================================
--- cpukit/itron/src/wup_tsk.c	(revision 3ff088432cf000b8651a636658ad1d1e0bc4cad4)
+++ cpukit/itron/src/wup_tsk.c	(revision 6b8fe0067d5e63e54757c64c2f8b3d12a0cc07fc)
@@ -30,5 +30,5 @@
 
 ER wup_tsk(
-  ID tskid
+  ID tskid __attribute__((unused))
 )
 {
